/*
// ===============================================
// ###############################################
// ### CSS - commerce-haut.css ########################
// ###############################################
// ===============================================
// ### HISTORIQUE DE VERSION #####################
// ===============================================
// 27/03/2026 : Ajout de : -webkit-user-select
// ===============================================
*/

/* SERVICE */
.haut {
	font-size: 15px;
	font-weight: 400;
	color: #000;
	display: block;
	float: none;
	position: relative;
	min-width: 320px;
	border-bottom-width: 1px;
	border-bottom-style: solid;
	border-bottom-color: #CCC;
	background-color: #efefef;
	box-shadow: 0px 3px 3px rgba(0,0,0,0.1);
	box-sizing: border-box;
}
.haut-ligne {
	display: block;
	float: none;
	position: relative;
	background-color: #efefef;
	height: 8px;
}
.haut-services {
	display: flex;
	margin: 0px;
	padding: 0px;
	float: none;
	position: relative;
	border-bottom-width: 1px;
	border-bottom-style: solid;
	border-bottom-color: #CCC;
	list-style-type: none;
	box-sizing: border-box;
	height: 31px;
	align-items: stretch;
	background-color: #FFF;
}
.haut-services li {
	display: flex;
	float: none;
	position: relative;
	flex-grow: 1;
	border-left-width: 1px;
	border-left-style: solid;
	border-left-color: #CCC;
	font-size: 14px;
	text-align: center;
	align-items: center;
	padding-right: 20px;
	padding-left: 20px;
}
.haut-services li:first-of-type {
	flex-grow: 100;
	border-left-style: none;
	text-align: left;
	padding-left: 20px;
}
@media screen and (max-width: 380px) {
	.haut-services li:first-of-type {
	padding-left: 10px;
	}
}
@media screen and (max-width: 1023px) {
	.haut-services li:nth-of-type(2) {
	display: none;
	}
}
@media screen and (max-width: 767px) {
	.haut-services li:nth-of-type(3) {
	display: none;
	}
}
@media screen and (max-width: 580px) {
	.haut-services li:nth-of-type(1) span {
	font-size: 0px;
	}
}
@media screen and (max-width: 380px) {
	.haut-services li:last-of-type img {
	display: none;
	padding-right: 10px;
	padding-left: 10px;
	}
	.haut-services li:last-of-type {
	padding-right: 10px;
	padding-left: 10px;
	}
}
.haut-services li div {
	/*display: inline-block;*/
	display: flex;
	align-items: center;
	position: relative;
	align-self: center;
	white-space: nowrap;
}
.haut-services li div img {
	vertical-align: middle;
	margin-right: 8px;
	height: 18px;
	width: auto;
}
.haut-services li a {
	color: #000;
	text-decoration: none;
}
.haut-services li a:hover {
	color: #2bbcd9;
}
/* SERVICE */

/* CATALOGUE */
.haut-catalogue {
	display: flex;
	margin: 0px;
	padding: 0px;
	float: none;
	position: relative;
	border-bottom-width: 1px;
	border-bottom-style: solid;
	border-bottom-color: #CCC;
	box-sizing: border-box;
	height: 78px;
	background-color: #FFF;
}
@media screen and (max-width: 460px) {
	.haut-catalogue {
	height: 68px;
	}
}
.haut-catalogue li {
	display: flex;
	float: none;
	list-style-type: none;
	position: relative;
	flex-grow: 1;
	border-left-width: 1px;
	border-left-style: solid;
	border-left-color: #CCC;
	text-align: center;
	box-sizing:border-box;
}
.haut-catalogue li:first-of-type {
	border-left-style: none;
}
.haut-catalogue li:nth-of-type(3) {
	flex-grow: 100;
}
@media screen and (max-width: 640px) {
	.haut-catalogue li:nth-of-type(3) {
	display: none;
	}
}
@media screen and (max-width: 460px) {
	.haut-catalogue li {
	width: 25%;
	}
}
.haut-catalogue li a , .haut-catalogue li span {
	font-size: 13px;
	display: block;
	float: none;
	position: relative;
	padding-top: 50px;
	flex-grow: 1;
	padding-right: 25px;
	padding-left: 25px;
	cursor: pointer;
	color: var(--menu-haut-couleur-fond);
	text-decoration: none;
	user-select:none;
	-webkit-user-select: none;
}
@media screen and (max-width: 460px) {
	.haut-catalogue li a, .haut-catalogue li span {
	padding-right: inherit;
	padding-left: inherit;
	padding-top: 42px;
	}
}
.haut-catalogue li a:hover,.haut-catalogue li span:hover {
	color: var(--menu-haut-couleur-fond-survol);
}
/*.haut-catalogue li a.haut-panier, .haut-catalogue li a.haut-panier-direct {*/
.haut-catalogue li .haut-panier, .haut-catalogue li .haut-panier-direct {
	background-color: #f1f1f1;
	background-image: url(../../graphisme/commerce/haut-panier.svg);
	background-repeat: no-repeat;
	background-position: center top +16px;
}
@media screen and (max-width: 460px) {
	.haut-catalogue li .haut-panier, .haut-catalogue li .haut-panier-direct {
	background-position: center top +8px;
	}
}
.haut-catalogue li .haut-compte {
	background-color: #fff;
	background-image: url(../../graphisme/commerce/haut-compte.svg);
	background-repeat: no-repeat;
	background-position: center top +16px;
}
@media screen and (max-width: 460px) {
	.haut-catalogue li .haut-compte {
	background-position: center top +8px;
	}
}
.haut-catalogue li .haut-recherche {
	background-color: #fff;
	background-image: url(../../graphisme/commerce/haut-recherche.svg);
	background-repeat: no-repeat;
	background-position: center top +22px;
}
@media screen and (max-width: 460px) {
	.haut-catalogue li .haut-recherche {
	background-position: center top +14px;
	}
}
.haut-catalogue li .haut-rayons {
	background-color: #f1f1f1;
	background-image: url(../../graphisme/commerce/haut-rayons.svg);
	background-repeat: no-repeat;
	background-position: center top +21px;
}
@media screen and (max-width: 460px) {
	.haut-catalogue li .haut-rayons {
	background-position: center top +13px;
	}
}
.haut-catalogue li .haut-logo {
	background-color: #fff;
	background-image: url(../../graphisme/commerce/logo-haut.svg);
	background-repeat: no-repeat;
	background-position: center center;
}
#haut-panier {
	display: block;
	position: absolute;
	box-sizing: border-box;
	z-index: 10;
	float: none;
	width: 100%;
	height: 0px;
	top: 13px;
}
@media screen and (max-width: 460px) {
	#haut-panier {
	top: 5px;
	}
}
#haut-panier div {
	font-size: 11px;
	line-height: 20px;
	color: #FFF;
	background-color: #dd0000;
	text-align: center;
	display: inline-block;
	height: 23px;
	width: 23px;
	position: relative;
	border-radius: 20px;
	border: 2px solid #FFF;
	box-sizing: border-box;
	margin-left: 38px;
	user-select: none;
	-webkit-user-select: none;
	padding-right: 1px;
	/*box-shadow: 0px 0px 5px rgba(0,0,0,0.2) inset;*/
}
#haut-compte {
	display: block;
	position: absolute;
	box-sizing: border-box;
	z-index: 10;
	float: none;
	width: 100%;
	height: 0px;
	top: 30px;
}
@media screen and (max-width: 460px) {
	#haut-compte {
	top: 20px;
	}
}
#haut-compte div {
	background-color: #0099cc;
	display: inline-block;
	height: 22px;
	width: 22px;
	position: relative;
	border-radius: 20px;
	border: 2px solid #FFF;
	box-sizing: border-box;
	margin-left: 38px;
	background-image: url(../../graphisme/commerce/haut-compte-connecte.svg);
	background-repeat: no-repeat;
	background-position: center center;
	/*box-shadow: 0px 0px 1px rgba(255,255,255,1);*/
}

/* CATALOGUE
.haut-message {
	display: block;
	float: none;
	position: relative;
	background-color: #FFF;
}
.haut-message-resume {
	display: flex;
	margin: 0px;
	padding: 0px;
	float: none;
	position: relative;
	list-style-type: none;
	border-bottom-width: 1px;
	border-bottom-style: solid;
	border-bottom-color: #CCC;
}
.haut-message-resume li {
	display: block;
	float: none;
	position: relative;
	flex-grow: 1;
	box-sizing: border-box;
	font-size: 14px;
}
.haut-message-resume li:first-of-type {
	padding-left: 20px;
	align-self: center;
	padding-top: 9px;
	padding-bottom: 9px;
}
.haut-message-resume li:first-of-type img {
	height: 22px;
	width: 22px;
	display: block;
}
.haut-message-resume li:nth-of-type(2) {
	align-self: center;
	flex-grow: 100;
	padding-top: 3px;
	padding-right: 10px;
	padding-bottom: 3px;
	padding-left: 10px;
}
@media screen and (max-width: 460px) {
	.haut-message-resume li:nth-of-type(2) span{
	display: none;
	}
}

.haut-message-resume li:last-of-type {
	display: flex;
	border-left-width: 1px;
	border-left-style: solid;
	border-left-color: #CCC;
	text-align: center;
}
.haut-message-resume li:last-of-type a {
	display: block;
	cursor: pointer;
	background-image: url(../../graphisme/commerce/haut-message-fleche.png);
	background-repeat: no-repeat;
	background-position: center bottom +8px;
	width: 36px;
	float: none;
	height: 100%;
	position: relative;
}
.haut-message-resume li:last-of-type a:hover {
	background-position: center bottom +6px;
}
.haut-message-detail {
	background-color: #f1f1f1;
	display: none;
	float: none;
	position: relative;
}
.haut-message-descriptif {
	display: block;
	float: none;
	position: relative;
	font-size: 15px;
	padding-right: 25px;
	padding-left: 25px;
	padding-top: 10px;
	padding-bottom: 0px;
}
.haut-message-action {
	display: flex;
	float: none;
	position: relative;
	justify-content: flex-end;
	padding-bottom: 10px;
	padding-right: 25px;
	box-sizing: border-box;
}
.haut-message-action ul {
	display: flex;
	float: none;
	position: relative;
	margin: 0px;
	padding: 0px;
	list-style-type: none;
	box-sizing: border-box;
}
.haut-message-action ul li {
	display: block;
	float: none;
	border-left-width: 1px;
	border-left-style: solid;
	border-left-color: #CCC;
	padding-right: 20px;
	padding-left: 20px;
	position: relative;
	box-sizing: border-box;
}
.haut-message-action ul li:first-of-type {
	border-left-style: none;
	padding-left: 0px;
}
.haut-message-action ul li:last-of-type {
	border-right-style: none;
	padding-right: 0px;
}
.haut-message-bouton-plus {
	font-size: 14px;
	color: #000;
	text-decoration: none;
	background-color: #FFF;
	display: block;
	padding-top: 6px;
	padding-right: 9px;
	padding-bottom: 6px;
	padding-left: 9px;
	position: relative;
	border-radius: 4px;
	border: 1px solid #CCC;
	box-sizing:border-box;
}
.haut-message-bouton-plus:hover {
	background-color: #e5e5e5;
}
.haut-message-bouton-action {
	font-size: 14px;
	color: #000;
	text-decoration: none;
	background-color: #cccccc;
	display: block;
	padding-top: 6px;
	padding-right: 9px;
	padding-bottom: 6px;
	padding-left: 9px;
	position: relative;
	border-radius: 4px;
	border: 1px solid #CCC;
	box-sizing:border-box;
}
.haut-message-bouton-action:hover {
	background-color: #999;
	border: 1px solid #999;
	color: #fff;
}
*/













